Subject: Re: Soft-Lockup/Race in networking in 2.6.31-rc1+195 ( possibly?caused by netem)

From: Jarek Poplawski <[email-masked]>
Date: Sat, 4 Jul 2009 08:36:46 +0200

On Fri, Jul 03, 2009 at 06:55:53PM -0700, David Miller wrote:
> From: Jarek Poplawski <[email-masked]>
> Date: Sat, 4 Jul 2009 00:56:40 +0200
> 
> > On Fri, Jul 03, 2009 at 01:22:20PM -0700, David Miller wrote:
> >> Well, if you look at that commit the bisect pointed to Jarek, it is a
> >> change which starts causing a situation which never happened before.
> >> Namely, timers added on one cpu can be migrated and fire on another.
> >> 
> >> So this could be exposing races in the networking that technically
> >> always existed.
> > 
> > I'm not sure I get your point; could you give some example?
> > Actually, I've suspected races in timers code.
> 
> Let's say that a particular networking timer always gets
> re-added on the cpu where the timer fires.
> 
> In that case, beforehand, no inter-cpu races could possibly
> be tested.  But with the new timer code, such races could
> now be potentially triggered.

Maybe I still miss something, but even if it were possible, lockdep
should have reported such things long ago.

Jarek P.